com.ibm.openpages.api.resource

## Interface IResourcePermission

-     public interface IResourcePermission

  Allows for checking the access rights for a User or a User Group to a particular OpenPages resource. The permissions are assigned through Role-based security or Custom security (ACLs).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getCanAssociate()` Returns associate permission.
    `boolean` | `getCanDelete()` Returns delete permission.
    `boolean` | `getCanRead()` Returns read permission.
    `boolean` | `getCanWrite()` Returns write permission.
    `Id` | `getResourceId()` The Resource Permissions are describing the access to a particular OpenPages resource.
    `ISecurityPrincipal` | `getSecurityPrincipal()` The Resource Permission belong to a User or a Group.

- - ### Method Detail

    - #### getResourceId

          Id getResourceId()

      The Resource Permissions are describing the access to a particular OpenPages resource. This retrieves the Resource for these permissions.
      Returns:
        the Id for the Resource

    - #### getSecurityPrincipal

          ISecurityPrincipal getSecurityPrincipal()

      The Resource Permission belong to a User or a Group. This retrieves the Security Principal for these permissions.
      Returns:
        the User or Group which has this Resource Permission

    - #### getCanRead

          boolean getCanRead()

      Returns read permission. Additional information, the user will inherit read permission if the user has write permission or delete permission granted.
      Returns:
        true if the principal can read the resource

    - #### getCanWrite

          boolean getCanWrite()

      Returns write permission. Additional information, the user will inherit write permission if the user has delete permission granted.
      Returns:
        true if the principal can write to the resource

    - #### getCanDelete

          boolean getCanDelete()

      Returns delete permission.
      Returns:
        true if the principal can delete the resource

    - #### getCanAssociate

          boolean getCanAssociate()

      Returns associate permission.
      Returns:
        true if the principal can associate or dissociate the resource

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2021. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.